Name:           GLC_lib
Version:        1.1.0
Release:        1%{?dist}
Summary:        C++ class library for OpenGL application based on Qt 4

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.glc-lib.net/
Source0:        http://downloads.sourceforge.net/glc-lib/GLC_lib_src_%{version}.zip
Patch0:         GLC_lib_src_1.1.0-nolib3ds.patch
Patch1:         GLC_lib_src_1.1.0-noGL.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  lib3ds-devel


%description
GLC_lib is a C++ class library that enables the quick creation of OpenGL
application based on Qt 4. Some GLC_lib features : Camera orbiting, Obj
textured file support, 3D Primitive... And more.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       qt4-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -n GLC_lib_src_%{version}
%patch0 -p1 -b .nolib3ds
%patch1 -p1 -b .noGL

#Fix library Path on lib64
sed -i -e 's|LIB_DIR = /usr/lib|LIB_DIR = %{_libdir}|' GLC_lib.pro

# Fix internal use of lib3ds
rm -rf lib3ds glext



%build
qmake-qt4 GLC_lib.pro
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT%{_libdir}/libGLC_lib.prl

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/GLC_lib/
%{_libdir}/*.so


%changelog
* Mon Mar 23 2009 kwizart < kwizart at gmail.com > - 1.1.0-1
- Update to 1.1.0

* Thu Aug 14 2008 kwizart < kwizart at gmail.com > - 1.0.0-1
- Update to 1.0.0

* Wed May 28 2008 kwizart < kwizart at gmail.com > - 0.9.9-1
- Update to 0.9.9

* Sat May 17 2008 kwizart < kwizart at gmail.com > - 0.9.8-2
- Fix COPYING end-of-line encoding

* Mon Feb 11 2008 kwizart < kwizart at gmail.com > - 0.9.8-1
- Initial spec file

